Skip to main content
GET
List Inbound Shipments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Page-Continue
string

Page marker, from X-Page-Next header

X-Page-Size
integer

Page size, defaults to 20

Required range: 1 <= x <= 500

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

Query Parameters

status
enum<string>

Filter by shipment status

Available options:
PENDING,
IN_TRANSIT,
PARTIALLY_RECEIVED,
RECEIVED
location_id
string

Filter by location ID (e.g. loc_...)

created_at_min
string<date-time>

Minimum created time, inclusive

created_at_max
string<date-time>

Maximum created time, exclusive

Response

Success

inbound_shipments
Inbound Shipment · object[]
required